﻿using Telerik.Windows.Controls;
using System.Windows.Media;
using System.Windows.Shapes;
using System.Windows.Controls;
using System.Windows;
using Telerik.Windows.Controls;
using System.Windows.Input;

namespace RibbonTest
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public  partial class MainWindow : RadRibbonWindow
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        void sel_MouseLeftButtonDown(object sender, MouseButtonEventArgs e)
        {
            if ((e.OriginalSource as Rectangle).ParentOfType<RadColorPaletteViewItem>() != null)
            {
                this.dropDownButton.IsOpen = false;
            }
            e.Handled = true;
        }

        private void ColorSelector_Loaded(object sender, RoutedEventArgs e)
        {
            RadColorSelector selector = (sender as ColorSelector).ChildrenOfType<RadColorSelector>()[0];
            selector.AddHandler(RadColorSelector.MouseLeftButtonDownEvent, new MouseButtonEventHandler(sel_MouseLeftButtonDown), true);

            TabControl tabControl = (sender as ColorSelector).ChildrenOfType<TabControl>()[0];
            TabItem righttabItem = tabControl.ChildrenOfType<TabItem>()[0];
            righttabItem.Loaded += new RoutedEventHandler(righttabItem_Loaded);

        }

        void righttabItem_Loaded(object sender, RoutedEventArgs e)
        {
            Button applier = ((sender as TabItem).Content as Grid).ChildrenOfType<Button>()[0];
            applier.Click += new RoutedEventHandler(applier_Click);
        }

        void applier_Click(object sender, RoutedEventArgs e)
        {
            this.dropDownButton.IsOpen = false;
            e.Handled = true;
        }

       

       


    

       

      

    }
}
